This class is an enumeration of possible types of bitmap fonts.

### Hierarchy

- BitmapFontType

## Index

### Properties

- DISTANCE_FIELD
- MULTI_CHANNEL_DISTANCE_FIELD
- STANDARD

## Properties

### Static DISTANCE_FIELD

DISTANCE_FIELD: string

- Defined in lib/starling/text/BitmapFontType.d.ts:21

Indicates that the font texture contains a single channel distance field texture to be rendered with the DistanceFieldStyle.

### Static MULTI_CHANNEL_DISTANCE_FIELD

MULTI_CHANNEL_DISTANCE_FIELD: string

- Defined in lib/starling/text/BitmapFontType.d.ts:25

Indicates that the font texture contains a multi channel distance field texture to be rendered with the DistanceFieldStyle.

### Static STANDARD

STANDARD: string

- Defined in lib/starling/text/BitmapFontType.d.ts:17

A standard bitmap font uses a regular RGBA texture containing all glyphs.

Generated using TypeDoc